SDL_UpdateTexture(3)

NAME
SDL_UpdateTexture - Update the given texture rectangle with new pixel data.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_UpdateTexture(SDL_Texture *texture, const SDL_Rect *rect, const void *pixels, int pitch);

DESCRIPTION
The pixel data must be in the pixel format of the texture. Use SDL_QueryTexture () to query the pixel format of the texture. This is a fairly slow function, intended for use with static textures that do not change often. If the texture is intended to be updated often, it is preferred to create the texture as streaming and use the locking functions referenced below. While this function will work with streaming textures, for optimization reasons you may not get the pixels back if you lock the texture afterward.

FUNCTION PARAMETERS

texture
    the texture to update

rect
    an SDL_Rect
     structure representing the area to update, or NULL to update the entire texture

pixels
    the raw pixel data in the format of the texture

pitch
    the number of bytes in a row of pixel data, including padding between lines

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LockTexture(3), SDL_UnlockTexture(3), SDL_UpdateNVTexture(3), SDL_UpdateYUVTexture(3)